%global momorel 1
%global unstable 1
%if 0%{unstable}
#%%global svnrel 979380
%global release_dir unstable
%else
%global release_dir stable
%endif
%global src1name kdebase-runtime
%global kdever 4.2.95
%global srcver 4.2.95
%global kdelibsrel 1m
%global qtver 4.5.1
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 4.2.95
%global sourcedir %{release_dir}/%{ftpdirver}/src
%if ! %{unstable}
%global source1dir stable/%{kdever}/src
%endif
%global icons_svg 1

Name: oxygen-icons
Summary: K Desktop Environment - Oxygen icon theme
Version: %{srcver}
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPLv2
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?svnrel:svn%{svnrel}}.tar.bz2
%if ! %{unstable}
Source1: ftp://ftp.kde.org/pub/kde/%{source1dir}/%{src1name}-%{kdever}.tar.bz2
%endif
NoSource: 0
%if ! %{unstable}
NoSource: 1
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
PreReq: coreutils
PreReq: gtk2
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdepimlibs-devel >= %{kdever}-%{kdepimrel}
BuildPreReq: OpenEXR-devel
BuildPreReq: cmake >= %{cmakever}-%{cmakerel}
BuildPreReq: coreutils
BuildPreReq: openssl-devel
BuildPreReq: pkgconfig
BuildPreReq: pulseaudio-libs-devel
BuildPreReq: qimageblitz-devel
BuildPreReq: sed
BuildPreReq: soprano-devel

Obsoletes:	oxygen-icon-theme < %{version}
Provides:	oxygen-icon-theme = %{version}-%{release}
Obsoletes:	oxygen-icon-theme-scalable < %{version}

%description
Oxygen icon theme for the K Desktop Environment.

%if %{icons_svg}
%package scalable
Summary: Oxygen icon theme, scalable(svg) icons
Group: User Interface/Desktops
PreReq: coreutils
PreReq: gtk2
Requires: %{name} = %{version}-%{release}
Provides: oxygen-icon-theme-scalable = %{version}-%{release}

%description scalable
%{summary}.
%endif

%prep
%if 0%{unstable}
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}}
%else
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}} -a 1
%endif

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%if ! %{unstable}
## install lost icons for KDE 4.2.3

# actions
install -m 644 %{src1name}-%{kdever}/pics/oxygen/16x16/actions/system-restart.png %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/actions/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/22x22/actions/system-restart.png %{buildroot}%{_kde4_iconsdir}/oxygen/22x22/actions/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/32x32/actions/system-restart.png %{buildroot}%{_kde4_iconsdir}/oxygen/32x32/actions/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/48x48/actions/system-restart.png %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/actions/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/64x64/actions/system-restart.png %{buildroot}%{_kde4_iconsdir}/oxygen/64x64/actions/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/128x128/actions/system-restart.png %{buildroot}%{_kde4_iconsdir}/oxygen/128x128/actions/

# mimetypes
for icon in audio-aac.png audio-basic.png audio-mp4.png \
audio-vnd.rn-realaudio.png audio-x-matroska.png audio-x-mod.png \
audio-x-mp2.png audio-x-mpegurl.png audio-x-ms-asx.png audio-x-ms-wma.png \
audio-x-musepack.png audio-x-pn-realaudio-plugin.png audio-x-scpls.png \
audio-x-vorbis+ogg.png; do
install -m 644 %{src1name}-%{kdever}/pics/oxygen/16x16/mimetypes/$icon %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/mimetypes/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/22x22/mimetypes/$icon %{buildroot}%{_kde4_iconsdir}/oxygen/22x22/mimetypes/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/32x32/mimetypes/$icon %{buildroot}%{_kde4_iconsdir}/oxygen/32x32/mimetypes/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/48x48/mimetypes/$icon %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/mimetypes/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/64x64/mimetypes/$icon %{buildroot}%{_kde4_iconsdir}/oxygen/64x64/mimetypes/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/128x128/mimetypes/$icon %{buildroot}%{_kde4_iconsdir}/oxygen/128x128/mimetypes/
done

# places
install -m 644 %{src1name}-%{kdever}/pics/oxygen/16x16/places/folder-bookmarks.png %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/places/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/22x22/places/folder-bookmarks.png %{buildroot}%{_kde4_iconsdir}/oxygen/22x22/places/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/32x32/places/folder-bookmarks.png %{buildroot}%{_kde4_iconsdir}/oxygen/32x32/places/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/48x48/places/folder-bookmarks.png %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/places/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/64x64/places/folder-bookmarks.png %{buildroot}%{_kde4_iconsdir}/oxygen/64x64/places/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/128x128/places/folder-bookmarks.png %{buildroot}%{_kde4_iconsdir}/oxygen/128x128/places/

# status
install -m 644 %{src1name}-%{kdever}/pics/oxygen/16x16/status/window-suppressed.png %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/status/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/22x22/status/window-suppressed.png %{buildroot}%{_kde4_iconsdir}/oxygen/22x22/status/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/32x32/status/window-suppressed.png %{buildroot}%{_kde4_iconsdir}/oxygen/32x32/status/
install -m 644 %{src1name}-%{kdever}/pics/oxygen/48x48/status/window-suppressed.png %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/status/
%endif

%if 0%{?icons_svg}
mkdir -p %{buildroot}%{_kde4_iconsdir}/oxygen/scalable
for icon in `find scalable -name "*.svg"`; do
  install -m 0644 -D $icon %{buildroot}%{_kde4_iconsdir}/oxygen/$icon
done
for icon in `find scalable -name "*.svgz"`; do
  install -m 0644 -D $icon %{buildroot}%{_kde4_iconsdir}/oxygen/$icon
done

%if ! %{unstable}
## install lost icons for KDE 4.2.3

# actions
install -m 644 %{src1name}-%{kdever}/pics/oxygen/scalable/actions/system-restart.svgz %{buildroot}%{_kde4_iconsdir}/oxygen/scalable/actions/

# mimetypes
for icon in audio-aac.svgz audio-basic.svgz audio-mp4.svgz \
audio-vnd.rn-realaudio.svgz audio-x-matroska.svgz audio-x-mod.svgz \
audio-x-mp2.svgz audio-x-mpegurl.svgz audio-x-ms-asx.svgz audio-x-ms-wma.svgz \
audio-x-musepack.svgz audio-x-pn-realaudio-plugin.svgz audio-x-scpls.svgz \
audio-x-vorbis+ogg.svgz; do
install -m 644 %{src1name}-%{kdever}/pics/oxygen/scalable/mimetypes/$icon %{buildroot}%{_kde4_iconsdir}/oxygen/scalable/mimetypes/
done

# places
install -m 644 %{src1name}-%{kdever}/pics/oxygen/scalable/places/folder-bookmarks.svgz %{buildroot}%{_kde4_iconsdir}/oxygen/scalable/places/

# status
install -m 644 %{src1name}-%{kdever}/pics/oxygen/scalable/status/window-suppressed.svgz %{buildroot}%{_kde4_iconsdir}/oxygen/scalable/status/
%endif

# remove duplicate icon with kdeplasma-addons
rm -r %{buildroot}%{_kde4_iconsdir}/oxygen/scalable/apps/accessories-dictionary.svgz

find %{buildroot}%{_kde4_iconsdir}/oxygen/scalable -name "*.svgz" > svg.list
sed -e "s|^%{buildroot}||" svg.list > svg-include.list
sed -e "s|^%{buildroot}|%exclude |" svg.list > svg-exclude.list
%endif

# remove duplicate icon with kdepim
rm -r %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/status/meeting-organizer.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post 
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans 
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun 
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi

%if %{icons_svg}
%post scalable
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans scalable
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%postun scalable
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi
%endif

%files %{?icons_svg:-f svg-exclude.list}
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTING COPYING TODO-smallversions
%{_kde4_iconsdir}/oxygen/*

%if %{icons_svg}
%files scalable -f svg-include.list
%defattr(-,root,root,-)
%endif

%changelog
* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- update to KDE 4.3 RC (4.2.95)

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.91-1m)
- update to 4.2.91

* Thu Jun 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.90-1m)
- update to KDE 4.3 beta 2 (4.2.90)

* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.89-1m)
- update to 4.2.89
- switch to noarch

* Sat Jun  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.88-1m)
- update to 4.2.88

* Thu Jun  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.88-1m)
- update to 4.2.88 with KDE 4.2.4

- * Sat May 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.88-1m)
- - update to 4.2.88

- * Fri May 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.87-1m)
- - update to 4.2.87

* Mon May 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.85-3m)
- include missing icons for KDE 4.2.3

* Fri May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.85-2m)
- remove duplicate icon(s)

* Fri May  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.85-1m)
- update to 4.2.85

* Sat May  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.71-1m)
- update to 4.2.71

* Sat Apr 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.70-1m)
- update to 4.2.70

* Sat Apr 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.69-1m)
- update to 4.2.69

* Wed Apr  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.68-1m)
- update to 4.2.68

* Sat Mar 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.67-1m)
- update to 4.2.67
- initial build for Momonga Linux
